            #GIT_CMT=2545b54403a2a8bfe3037bdc3623c1ff5b59bd55
%global pypi_name dateparser
%global python3_pkgversion 36

Name:           python-%{pypi_name}
Version:        1.0.0
Release:    1.0.1.el7
Summary:        A Python parser for human readable dates

License:        BSD
URL:            https://github.com/scrapinghub/dateparser
#Source0:        https://github.com/scrapinghub/dateparser/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
Source0:        %{pypi_name}-%{version}.tar.gz
Patch0:         setup.py.patch
BuildArch:      noarch

%description
dateparser provides modules to easily parse localized dates in almost any
string formats commonly found on web pages.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-hijri-converter
BuildRequires:  python%{python3_pkgversion}-convertdate
BuildRequires:  python%{python3_pkgversion}-dateutil
BuildRequires:  python%{python3_pkgversion}-nose
BuildRequires:  python%{python3_pkgversion}-parameterized
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-regex > 2019.02.19
BuildRequires:  python%{python3_pkgversion}-tzlocal
BuildRequires:  python%{python3_pkgversion}-mock
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-pytz

Requires:  python%{python3_pkgversion}-hijri-converter
Requires:  python%{python3_pkgversion}-convertdate
Requires:  python%{python3_pkgversion}-dateutil
Requires:  python%{python3_pkgversion}-regex > 2019.02.19
Requires:  python%{python3_pkgversion}-tzlocal
Requires:  python%{python3_pkgversion}-pytz
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
dateparser provides modules to easily parse localized dates in almost any
string formats commonly found on web pages.

%if 0
%package -n %{name}-doc
Summary:        Documentation for python%{python3_pkgversion}-%{pypi_name}

BuildRequires:  python%{python3_pkgversion}-sphinx

%description -n %{name}-doc
This documentation for python%{python3_pkgversion}-%{pypi_name}.

%endif

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build
#PYTHONPATH=${PWD} sphinx-build-3.6 docs html
#rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

#%%check
#PYTHONPATH=%%{buildroot}/%%{python3_sitelib} pytest-%%{python3_version} tests

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%license LICENSE
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/dateparser_data/
%{python3_sitelib}/dateparser_scripts/

#%files -n %{name}-doc
#%doc html
#%license LICENSE

%changelog
* Tue Feb 9 2021 Alan Steinberg <alan.steinberg@oracle.com> - 1.0.0-1.0.1.el7
- Bumped version to -1.0.1. (Alan Steinberg)  
- added running requirement (Qing Lin)  

* Tue Feb 02 2021 Qing Lin <qing.lin@oracle.com> - 1.0.0-1.el7
- initial build for Oracle.

* Mon Feb 01 2021 Qing Lin <qing.lin@oracle.com> - 1.0.0-1
- Initial build for oracle.
- Disable doc build for sphinx too old.

* Mon Oct 26 2020 Gwyn Ciesla <gwync@protonmail.com> - 0.7.6-1
- 0.7.6, disabled tests due to missing packages.

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Gwyn Ciesla <gwync@protonmail.com> - 0.7.4-3
- BR python3-setuptools

* Sat May 23 2020 Miro Hrončok <mhroncok@redhat.com> - 0.7.4-2
- Rebuilt for Python 3.9

* Tue Mar 10 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.4-1
- Fix license tag (rhbz#1748956)

* Tue Nov 19 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.2-4
- Fix license tag (rhbz#1748956)

* Mon Nov 18 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.2-3
- Disable tests

* Mon Nov 18 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.2-2
- Fix BRs

* Thu Oct 17 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.2-1
- Update to latest upstream release 0.7.2

* Tue Sep 03 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.1-1
- Initial package for Fedora

